/*
    ...... - a free ... implementation
    Copyright (C) 1999-1999, Robert Chou <rob_chou@bigfoot.com>

    This program is free software; you can redistribute it and/or
    modify it under the terms of the GNU General Public License
    as published by the Free Software Foundation; either version 2
    of the License, or (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, USA.
*/

package org.gjt.jsp;

import javax.servlet.http.*;


/**
 * 
 *	Contains mostly static utlity functions.
 *
 */
public class Utils
{
	public final static int		METHOD_HEAD =	1;
	public final static int		METHOD_GET =	2;
	public final static int		METHOD_PUT =	4;
	public final static int		METHOD_POST =	8;
	public final static int		METHOD_TRACE =	16;
	public final static int		METHOD_DELETE =	32;

	public static int getMethodEnum( String strMethod )
	{
		if( strMethod.equalsIgnoreCase("HEAD") )
		{
			return METHOD_HEAD;
		}

		if( strMethod.equalsIgnoreCase("GET") )
		{
			return METHOD_GET;
		}

		if( strMethod.equalsIgnoreCase("PUT") )
		{
			return METHOD_PUT;
		}

		if( strMethod.equalsIgnoreCase("POST") )
		{
			return METHOD_POST;
		}

		if( strMethod.equalsIgnoreCase("TRACE") )
		{
			return METHOD_TRACE;
		}

		if( strMethod.equalsIgnoreCase("DELETE") )
		{
			return METHOD_DELETE;
		}

		return 0;
	}	//getMethodEnum()


	public static boolean IsCacheFileNewerThanRequest( long lCache, long lRequest )
	{
		if( (lCache == -1) || (lRequest == -1) )
		{
			return true;
		}

		long	lNow = System.currentTimeMillis();
		if( (lRequest < lCache) || (lNow < lRequest) )
		{
			return true;
		}

		return false;
	}
	
}	//Utils

